Last Comment Bug 764753 - Screen orientation isn't unlocked when the document is left without explicitly exiting fullscreen
: Screen orientation isn't unlocked when the document is left without explicitl...
Status: VERIFIED FIXED
: mobile, testcase
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla15
Assigned To: Mounir Lamouri (:mounir)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 740188 766903
  Show dependency treegraph
 
Reported: 2012-06-14 03:18 PDT by Martijn Wargers [:mwargers] (not working for Mozilla)
Modified: 2012-07-09 02:23 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
wontfix
+
verified
verified


Attachments
testcase (711 bytes, text/html)
2012-06-14 03:18 PDT, Martijn Wargers [:mwargers] (not working for Mozilla)
no flags Details
Patch v1 (1.83 KB, patch)
2012-06-21 03:26 PDT, Mounir Lamouri (:mounir)
bugs: review+
akeybl: approval‑mozilla‑aurora+
mounir: checkin+
Details | Diff | Splinter Review

Description Martijn Wargers [:mwargers] (not working for Mozilla) 2012-06-14 03:18:20 PDT
Created attachment 633083 [details]
testcase

See testcase, when tapping on the portrait or landscape button, you have locked Fennec to landscape/portrait mode, which should not be possible.
Comment 1 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-06-14 10:05:18 PDT
I guess bug 757791 is related.
Comment 2 Mounir Lamouri (:mounir) 2012-06-19 12:51:22 PDT
(In reply to Martijn Wargers [:mw22] (QA - IRC nick: mw22) from comment #1)
> I guess bug 757791 is related.

No. I think the issue here is that reload() should unlock the screen but doesn't do that. I will try to have a look when I will find time to solve my link issue on Android.
Comment 3 Mounir Lamouri (:mounir) 2012-06-21 03:26:51 PDT
Created attachment 635238 [details] [diff] [review]
Patch v1

This should fix it.
I have a patch that will make sure that unlock() is a no-op if the screen isn't currently locked (in Android backend).
Comment 4 Mounir Lamouri (:mounir) 2012-06-22 02:04:35 PDT
Comment on attachment 635238 [details] [diff] [review]
Patch v1

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 740188
User impact if declined: when navigating to a page using screen lock, Firefox might be stuck to the same orientation with the only salvation being restarting Firefox
Risk to taking this patch (and alternatives if risky): only regressions in screen lock features, unlikely worse than keeping this bug
String or UUID changes made by this patch: none
Comment 5 Ed Morley [:emorley] 2012-06-22 09:16:17 PDT
https://hg.mozilla.org/mozilla-central/rev/054217b5399b
Comment 6 Alex Keybl [:akeybl] 2012-06-26 10:36:48 PDT
Comment on attachment 635238 [details] [diff] [review]
Patch v1

[Triage Comment]
Early enough in the cycle that I expect to find regressions prior to release. Approving for Aurora 15.
Comment 7 Mounir Lamouri (:mounir) 2012-07-04 10:39:21 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/46c0c328a78c
Comment 8 Paul Feher 2012-07-09 02:23:01 PDT
Verified/fixed on:
Nightly Fennec 16.0a1 (2012-07-08)
Aurora Fennec 15.0a2 (2012-07-08)
Using:
HTC Desire Z (2.3.3)

The issue in the bug is not reproducible and the test case in the bug works correctly.

Note You need to log in before you can comment on or make changes to this bug.